<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];
//ƥid
$text_id = "";
$input_flag = "";
$up_flag = "";
$show_txt = "";
$err_msg = "";
//źեեϢ
$img_set="";
$av_set="";
$url_img = LOCAL_URL."img_files/";
$url_av = LOCAL_URL."av_files/";

if ($_GET <> null) {
	if (isset($_GET['text_id'])) {
		$text_id = $_GET['text_id'];
	}
	if (!is_numeric($text_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/index.php");
		exit;
	}
}
if ($_POST <> null) {
	if (isset($_POST['input_flag'])) {
		$input_flag = $_POST['input_flag'];
	} else {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/txt_make/list.php");
		exit;
	}
}

$data_object = new CDbAccess();
		//DB³
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	//ǡѤΥ֥Ȥ
	$question_object = new CQuestionTableAccess ();

	if ($text_id == null || $text_id == "") {
		if ($input_flag == "insert") {
			$val_object = new valid_plus_num('question_make');
			$val_object->setErrMsgForQuest($_POST);
			if ($val_object->err_msg == "") {
				if (!$question_object->insertQuestionDataExe($data_object->conn, $_POST, $ses_arr['teacher_id'])) {
					$err_msg = "κݤ˥ǡ١顼ȯäִåƤ<br>";
					$err_msg .= $question_object->err_msg;
				}
			} else {
				$err_msg = $val_object->err_msg;
			}
			$text_id = $_POST['txt_id'];
		} else if ($input_flag == "update") {
			//if ($_POST['DEL0']<> null && $_POST['DEL0'] <> "") {
			if (array_key_exists('DEL0',$_POST) == true) {
				//ǡκ
				$del_condition = "question_id = '".$question_object->escapeSqlString($_POST['DEL0'])."'";
				if (!$question_object->delDat($del_condition, $data_object->conn)) {
					$err_msg = "κݤ˥ǡ١顼ȯ<br>";
					$err_msg .= $question_object->err_msg;
				}
			} else {
				$val_object = new valid_plus_num('question_make');
				$val_object->setErrMsgForQuest($_POST);
				if ($val_object->err_msg == "") {
					if (!$question_object->updateQuestionDataExe($data_object->conn, $_POST, $ses_arr['teacher_id'])) {
						$err_msg = "κݤ˥ǡ١顼ȯäִåƤ";
						$err_msg .= $question_object->err_msg;
					}
				} else {
					$err_msg = $val_object->err_msg;
				}
			}
			$text_id = $_POST['txt_id'];
		}
	}
	$text_data_object = new CTextTableAccess();
	$text_data = $text_data_object->getDetailTextData($data_object->conn, $text_id);
	if ($text_data == false) {
		$text_title = "ǡθ˼Ԥޤ";
		$text_cont = "";
		$err_msg .= $text_data_object->err_msg;
	} else {
		$text_title = htmlspecialchars(mb_convert_encoding($text_data['text_title'],'EUC-JP','UTF-8'),ENT_QUOTES);
		$text_cont = nl2br(htmlspecialchars(mb_convert_encoding($text_data['content'],'EUC-JP','UTF-8'),ENT_QUOTES));
//᡼ե
		if ($text_data['img_file']<>null && $text_data['img_file']<>"") {
			$img_set = "<img border=0 src='".$url_img.$text_id."/".$text_data['img_file']."'>";
		}
//AVե
		if ($text_data['av_file']<>null && $text_data['av_file']<>"") {
			$av_set="<a href='./view_tmp.php?text_id=".$text_id."&repeat=".$text_data['av_repeat']."&av_file=".$text_data['av_file']."' target='_blank'>AVեǧ</a>";
		}
	}

	$data2 = $question_object->getQuestionListPerText($data_object->conn, $text_id);

//SELECT֥
	$selLev = new mkSelectForm();
	$selLev->setSelect('question_lev');

	$selAn = new mkSelectForm();
	$selAn->setSelect('question_answer');

	if (!$data2) {
		$err_msg ="ǡθ˼Ԥޤ<br>";
		$err_msg .=$question_object->err_msg;
	} else {
		if (count($data2) == 0) {
			$err_msg = "ǡ̤ϿǤ";
		} else {
//				if (sizeof($data2) > 0) {
				$counting = 1;
				foreach($data2 as $data_arr) {
					$show_txt .= "<tr><form action = 'insert_form.php' method='POST' name ='".$counting."'>";
					$show_txt .= "<input type ='hidden' name = 'up_id' value = ".$data_arr['question_id'].">";
					$show_txt .= "<input type ='hidden' name = 'txt_id' value =".$text_id.">";
					$show_txt .= "<input type ='hidden' name = 'input_flag' value = 'update'>";
					$show_txt .= "<td>".$counting."</td>";
					$show_txt .= "<td><input type='checkbox' name = 'DEL0' VALUE = ".$data_arr['question_id']."></td>";
					$show_txt .= "<td>".$selLev->getSelect($data_arr['level'],2)."</td>";
					$show_txt .= "<td><textarea cols = 20 rows = 3 name='QTAREA'>";
					$show_txt.=mb_convert_encoding($data_arr['content'],'EUC-JP','UTF-8')."</textarea></td>";
					$show_txt .= "<td>".$selAn->getSelect($data_arr['answer'],5)."</td>";
					$show_txt .= "<td><input type='text' name='rep_key' maxlength='10' value='".$data_arr['rep_key']."' size=5></td>";
					$show_txt .= "<td><input type='text' name='max_length' maxlength='4' value='".$data_arr['max_length']."' size=1></td>";
					$show_txt .= "<td><input type='text' name='max_words' maxlength='4' value='".$data_arr['max_words']."' size=1></td>";
					//$show_txt .= "<td><textarea cols = 25 rows = 3 name='ATAREA'>";
					//$show_txt.=mb_convert_encoding($data_arr['example'],'EUC-JP','UTF-8')."</textarea></td>";
					//$show_txt .= "<td><textarea cols = 30 rows = 3 name='CTAREA'>";
					//$show_txt.=mb_convert_encoding($data_arr['comment'],'EUC-JP','UTF-8')."</textarea></td>";
					if ($data_arr['answer'] == 0 || $data_arr['answer'] == 3) {
						$show_txt .= "<td><a href='../item_make/key_word_list.php?question_id=".$data_arr['question_id'];
						$show_txt .= "&text_id=".$text_id;
						$show_txt .= "'>ɡ<br>AV̤</a></td>\n";
					} else if ($data_arr['answer'] == 4) {
						$show_txt .= "<td><a href='../item_make/key_word_list.php?question_id=".$data_arr['question_id'];
						$show_txt .= "&text_id=".$text_id."&answer_type=".$data_arr['answer'];
						$show_txt .= "'><br>̤</a></td>\n";
					} else {
						$show_txt .= "<td><a href ='../item_make/insert_form.php?question_id=".$data_arr['question_id'];
						$show_txt .="&text_id=".$text_id."'>衦<br>AV̤</a></td>\n";
					}
					$show_txt .= "<td><input type ='submit' value=''></td>\n";
					$show_txt .= "</form></tr>\n";
					$counting++;
				}
/*			} else {

			}
*/		}
	}
	$show_txt .= "<tr><form action = 'insert_form.php' method='POST' name ='new'>";
	$show_txt .= "<input type ='hidden' name = 'txt_id' value =".$text_id.">";
	$show_txt .= "<input type ='hidden' name = 'input_flag' value ='insert'>";
	$show_txt .= "<td></td>";
	$show_txt .= "<td> </td>";
	$show_txt .= "<td>".$selLev->getSelect(999,2)."</td>";
	$show_txt .= "<td><textarea cols = 20 rows = 3 name='QTAREA'></textarea></td>";
	$show_txt .= "<td>".$selAn->getSelect(999,5)."</td>";
	$show_txt .= "<td><input type='text' name='rep_key' maxlength='10' size=5></td>";
	$show_txt .= "<td><input type='text' name='max_length' maxlength='4' size=1></td>";
	$show_txt .= "<td><input type='text' name='max_words' maxlength='4' size=1></td>";
	//$show_txt .= "<td><textarea cols =25 rows = 3 name='ATAREA'></textarea></td>";
	//$show_txt .= "<td><textarea cols = 30 rows = 3 name='CTAREA'></textarea></td>";
	$show_txt .= "<td></td>";
	$show_txt .= "<td><input type='submit' value=''></td>";
	$show_txt .= "</form></tr>\n";
	$data_object->closeDB();
}

$show_data = file_get_contents('../../templates/ad_question_make/question_form.tpl');
$show_data = str_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':TITLE_REP:', mb_convert_encoding($text_title,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':TEXT_REP:', mb_convert_encoding($text_cont,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':IMG_REP:', mb_convert_encoding($img_set,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':AV_REP:', mb_convert_encoding($av_set,'UTF-8', 'EUC-JP'), $show_data);
$show_data = str_replace(':TABLE_REP:', mb_convert_encoding($show_txt,'UTF-8', 'EUC-JP'), $show_data);
echo $show_data;
?>