<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_group.php';
require_once '../../util/post_util.php';

session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_USR];
//桼ξ
$st_nam = $ses_arr['student_nam'];
$st_id	= $ses_arr['student_id'];
$st_status = $ses_arr['status'];
$st_grade = $ses_arr['grade'];
$class_id= "";
$insert_flag = "";
$usr_comment = "";
$class_nam = "";
$class_comment ="";
$teacher_nam = "";
$err_msg = "";
if ($_GET <> null) {
	if (isset($_GET['class_id'])) {
		$class_id= $_GET['class_id'];
	}
	if (!is_numeric($class_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."usr/class_app/class_list.php");
		exit;
	}
}
if ($_POST <> null) {
	$insert_flag = $_POST['insert_flag'];
	$usr_comment = chPostToForm($_POST['comment']);
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	if ($insert_flag == 1) {
		//ǡѤΥ֥
		$student_object = new CClassStudentTableAccess();
		if (!$student_object->applyClassExe ($data_object->conn, $_POST)) {
			$err_msg = _EXAM_STU_CLASS_APPLICATION_ERR;
			$err_msg .= $student_object->err_msg;
		} else {
			$data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."usr/class_app/class_list.php");
			exit;
		}
		$class_id = $_POST['class_id'];
	}
	
	//饹󸡺
	$class_object = new CClassApplyAccess();
	$cl_dat_arr = $class_object->getOneClass($data_object->conn, $class_id);
	if ($cl_dat_arr == false) {
		$err_msg .= _COMMON_DB_NODATA_FOUND;
		$err_msg .=$class_object->err_msg;
	} else {
//		$class_nam = htmlspecialchars(mb_convert_encoding($cl_dat_arr['class_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
//		$class_comment = nl2br(htmlspecialchars(mb_convert_encoding($cl_dat_arr['comment'],'EUC-JP', 'UTF-8'),ENT_QUOTES));
//		$teacher_nam = htmlspecialchars(mb_convert_encoding($cl_dat_arr['teacher_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
		$class_nam = htmlspecialchars($cl_dat_arr['class_nam'],ENT_QUOTES);
		$class_comment = nl2br(htmlspecialchars($cl_dat_arr['comment'],ENT_QUOTES));
		$teacher_nam = htmlspecialchars($cl_dat_arr['teacher_nam'],ENT_QUOTES);
	}
	$data_object->closeDB();
}
/*
$show_data = file_get_contents('../../templates/usr_class/application_class.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_NAM_REP:', mb_convert_encoding($class_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEACHER_REP:', mb_convert_encoding($teacher_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_COMMENT:', mb_convert_encoding($class_comment,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = ereg_replace(':COMMENT:', $usr_comment, $show_data);
$show_data = ereg_replace(':STUDENT_ID_REP:', $st_id, $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'usr_class/application_class.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':CLASS_NAM_REP:', $class_nam, $show_data);
$show_data = str_replace(':TEACHER_REP:', $teacher_nam, $show_data);
$show_data = str_replace(':CLASS_COMMENT:', $class_comment, $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':COMMENT:', $usr_comment, $show_data);
$show_data = str_replace(':STUDENT_ID_REP:', $st_id, $show_data);

echo $show_data;
?>