<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/make_item.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_arr['status'];
if ($admin_status <> 1) {
//Ϥ
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/index.php");				
	exit;
}

$grade_nam = "";
$grade_id = "";
$comment = "";
$action_type = "";
$delete_txt = "";
$err_msg = "";

if ($_GET <> null) {
	if (isset($_GET['grade_id'])) {
		$grade_id = $_GET['grade_id'];
	}
	
	if (!is_numeric($grade_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/grade_reg/grade_list.php");
		exit;
	}
}
if($_POST <> null) {
	if (isset($_POST['action_type'])) {
		if ($_POST['action_type'] == "update") {
			if (isset($_POST['up_id'])) {
				if (is_numeric($_POST['up_id'])) {
					$grade_id = $_POST['up_id'];
					$action_type = "update";
				} else if ($_POST['up_id'] == ""){
					$action_type = "insert";
				}
			}
		}
		if ($_POST['action_type'] == "del" && isset($_POST['DEL0']) &&
			is_numeric($_POST['DEL0'])) {
				$grade_id = $_POST['DEL0'];
				$action_type = "del";
		}
	}
}

$data_object = new CDbAccess();
		//DB³
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	$grade_data_object= new CGradeTableAccess();
	if ($action_type == "insert") {
		if ($grade_data_object->insertGradeDataExe($data_object->conn, $_POST)) {
			$data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."admin/grade_reg/grade_list.php");				
			exit;
		} else {
			$err_msg = _EXAM_TEA_GRADE_DBERR;
		}
	} else if ($action_type == "update") {
		if ($grade_data_object->updateGradeDataExe($data_object->conn, $_POST)) {
			$data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."admin/grade_reg/grade_list.php");				
			exit;
		} else {
			$err_msg = _EXAM_TEA_GRADE_DBERR;
		}
	} else if ($action_type == "del") {
		if ($grade_data_object->deleteGradeDataExe($data_object->conn, $grade_id)) {
			$data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."admin/grade_reg/grade_list.php");				
			exit;
		} else {
			$err_msg = _EXAM_TEA_GRADE_DBERR;
		}
	}

	if ($grade_id <> "") {
		$grade_data = $grade_data_object->getDetailGradeData($data_object->conn, $grade_id);
		if (!$grade_data) {
			$err_msg = _EXAM_TEA_DEP_DBERR;
		} else {
			$grade_nam = htmlspecialchars($grade_data['grade_nam'],ENT_QUOTES);
			$comment = htmlspecialchars($grade_data['comment'],ENT_QUOTES);
			$delete_txt = "<form name='del_frm' method='POST' action='mod_form.php'>";
			$delete_txt .= "<input type ='hidden' name ='DEL0' value ='".$grade_id."'>";
			$delete_txt .= "<input type ='hidden' name ='action_type' value ='del'>";
			$delete_txt .= "<input type ='BUTTON' value ='"._COMMON_DEL_TXT."' onClick='delData()'></form>";
	
		}
	}	
	$data_object->closeDB();
}

//$show_data = file_get_contents('../../templates/ad_grade_reg/mod_form.tpl');
$show_data = file_get_contents(TEMPLATE_DIR.'ad_grade_reg/mod_form.tpl');
$show_data = str_replace(':GRADE_ID_REP:', $grade_id, $show_data);
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':GRADE_NAM_TXT:', $grade_nam, $show_data);
$show_data = str_replace(':COMMENT:', $comment, $show_data);
$show_data = str_replace(':DEL_BUTTON_REP:', $delete_txt, $show_data);
echo $show_data;

?>