<?php

 class CStudentInClassAccess extends CTblAccess {
	//饹˻äƤּԤ򰷤饹
	//MoodleΥ⥸塼Ǥѹ
	function CStudentInClassAccess () {
		$this->CTblAccess (CLASS_SU_TBL." AS cst, ".STU_TBL." AS st");
	}
	
	function getStudentData($conn, $class_id) {
		//˼ֵĤΤּԤ
		//ƥȳϤʤɤ˻Ȥ
		//ۤλ
		$want_col = "st.student_nam, st.student_id, ";
		$want_col .= "st.status AS st_status, cst.class_student_id,";
		$want_col .= " cst.status AS status, cst.student_comment, ";
		$want_col .= "st.belong, cst.present";
		//λ
		$condition = " WHERE cst.student_id = st.student_id AND ";
		$condition .= "cst.status =1 AND cst.class_id = '".$this->escapeSqlString($class_id)."'";

		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
	
	function getStudentsInClass($conn, $class_id) {
		//饹ǼֵĤФݤʤɤ˻Ȥ
		//ۤ
		$want_col = "st.student_nam, st.student_id, st.status AS st_status, cst.class_student_id,";
		$want_col .= " cst.status AS status, cst.student_comment, st.belong, cst.present";
		//
		$condition = " WHERE cst.student_id = st.student_id AND ";
		$condition .= "cst.class_id = '".$this->escapeSqlString($class_id)."'";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getStudentsForRetest($conn, $class_id) {
		//˼ֵĤΤּԤ
		//ɻϤʤɤ˻Ȥ
		//ۤλ
		$want_col = "st.student_nam, st.student_id, ";
		$want_col .= "st.status AS st_status, cst.class_student_id,";
		$want_col .= " cst.status AS status, cst.student_comment, ";
		$want_col .= "st.belong, cst.present";
		//λ
		$condition = " WHERE cst.student_id = st.student_id AND (cst.present >= 3) AND ";
		$condition .= "cst.status =1 AND cst.class_id = '".$this->escapeSqlString($class_id)."'";

		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

}

class CClassApplyAccess extends CTblAccess {
	function CClassApplyAccess() {
		$this->CTblAccess (CLASS_TBL." AS cit, ".TEA_TBL." AS tt");
	}

	function getClassByGrade($conn, $grade) {
		//ǯȤοߥ饹
		$want_col = "cit.grade,cit.class_id, cit.class_nam, tt.teacher_nam, cit.status";
		//
		$condition = " WHERE cit.teacher_id = tt.teacher_id AND ";
		$condition .= "cit.grade = '".$this->escapeSqlString($grade)."'";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
	
	function getOneClass($conn, $class_id) {
		$want_col = "cit.class_nam, tt.teacher_nam, cit.comment";
		//
		$condition = " WHERE cit.teacher_id = tt.teacher_id AND ";
		$condition .= "cit.class_id = '".$this->escapeSqlString($class_id)."'";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}
}

class CPermitClassAccess {
//饹ؤΥĤ륯饹
	var $err_msg;
	function CPermitClassAccess() {
	
	}

	function updatePermissionExe($conn, $get_arr) {
		$where_st1 ="";
		$where_st2 ="";
		$set_str1 = "";
		$where_arr1 =array();
		$where_arr2 =array();
		
		$set_str2 = "";

//åΤĤƤ
		$id_type1 = "class_student_id";
		$set_st1 = "status = 1";
//åγƤ
		$set_st2 = "status = 0";
		$set_st3 = "registered_num = ";
//ǡѤΥ֥Ȥ
		$class_data_object = new CClassInfoTableAccess();
		$class_student_object = new CClassStudentTableAccess();
		$where_st3 = "class_id = '".$class_data_object->escapeSqlString($get_arr['class_id'])."'";

		for ($i = 0; $i<$get_arr['total_num']; $i++) {
//			if (($get_arr['class_student_id'.$i] == $get_arr['UPST'.$i]) &&($get_arr['UPST'.$i] <> null)) {
			if (array_key_exists('UPST'.$i, $get_arr) == true) {
				array_push($where_arr1, $id_type1."='".$class_data_object->escapeSqlString($get_arr['class_student_id'.$i])."'");
			} else if (!array_key_exists('UPST'.$i, $get_arr) && $get_arr['class_student_id'.$i] <> "") {
				array_push($where_arr2, $id_type1."='".$class_data_object->escapeSqlString($get_arr['class_student_id'.$i])."'");				
			}
		}
		//åΤĤƤΤξ
		for ($i = 0; $i < count($where_arr1); $i++) {
			if ($i == 0) {
				$where_st1 .= $where_arr1[$i];
			} else {
				$where_st1 .= " OR ".$where_arr1[$i];				
			}		
		}

		//åγƤΤξ
		for ($i = 0; $i < count($where_arr2); $i++) {
			if ($i == 0) {
				$where_st2 .= $where_arr2[$i];
			} else {
				$where_st2 .= " OR ".$where_arr2[$i];				
			}		
		}

		if ($where_st1 <> "") {
			$result1 = $class_student_object->upDat($set_st1, $where_st1, $conn);
			if ($result1 == false) {
				$this->err_msg = $class_student_object->err_msg;
				return false;
			}
		}

		if ($where_st2 <> "") {
			$result2 = $class_student_object->upDat($set_st2, $where_st2, $conn);
			if ($result2 == false) {
				$this->err_msg = $class_student_object->err_msg;
				return false;
			}
		}

//饹ؤλüԿϿ
		$set_st3 .= count($where_arr1);
		$result3 = $class_data_object->upDat($set_st3, $where_st3, $conn);
		if ($result3 == false) {
			$this->err_msg = $class_data_object->err_msg;
			return false;
		}
		return true;
	}
}
?>
