<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_group.php';

session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
} 

$start_id = "";
$show_data = "";
$show_txt = "";
$err_msg = "";

if ($_GET <> null) {
	if (isset($_GET['pgid'])) {
		$start_id = $_GET['pgid'];
	}
}

$ses_arr = $_SESSION[SESSION_USR];
//桼ξ
$st_nam = $ses_arr['student_nam'];
$st_id	= $ses_arr['student_id'];
$st_status = $ses_arr['status'];
$st_grade = $ses_arr['grade'];

$grade_arr = array();

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	if ($start_id =="" || $start_id ==null) {
		$start_id = 0;
	}

	//饹ǡΥ֥

	$class_object = new CClassApplyAccess();
	$data = $class_object->getClassByGrade($data_object->conn, $st_grade);

//ѤIDꤹȺ
//SQLפСǡ䥯饹ǡȰˤ᤽
//DB˰¸SQLˤʤꤽʤΤǤ
	$cl_cl_arr = array();
	$cl_status_arr = array();
	$cl_stid_arr = array();
	
	$st_class_object = new CClassStudentTableAccess();
	$cl_id_list = $st_class_object->getClassListOfStudent ($data_object->conn, $st_id);
	if (!$cl_id_list) {
		$cl_cl_arr = array();
		$cl_status_arr = array();
		$cl_stid_arr = array();
	} else {
		foreach ($cl_id_list as $tmp_list) {
			array_push($cl_cl_arr,$tmp_list['class_id']);
			$cl_status_arr[$tmp_list['class_id']] = $tmp_list['status'];
			$cl_stid_arr[$tmp_list['class_id']] = $tmp_list['class_student_id'];
		}
	}

	$make_item = new get_item();
	$navi = $make_item->get_navi($start_id, count($data), GET_NUM, 'class_list.php');
	
	$grade_arr_object = new CCreateGradeSelect($data_object->conn);
	$grade_arr_object->setDataForInput ();
	$grade_arr = $grade_arr_object->getBasicData ();

	if (!$data) {
		$show_txt ="<tr><td colspan='4'>"._COMMON_DB_NODATA_FOUND."</tr></td>";
	} else {
		if (count($data) == 0) {
			$show_txt = "<tr><td colspan='4'>"._COMMON_DB_NODATA_FOUND."</tr></td>";
		} else {
			//ԽɬפʤΤȴФ
			$data = array_splice($data, ($start_id * GET_NUM), GET_NUM);
			$i= 0;
					
			foreach($data as $data_arr) {
				//ߤȤΤ硧ե饰
				//ʤ硧ե饰
				$status_flag = 0;
				
				$show_txt .= "<tr>";
				//ߺѤߤξ˽̤ؤΥ
				$show_txt .= "<td>";
				if (in_array($data_arr['class_id'], $cl_cl_arr)) {
					//$show_txt .= "<a href='mod_info.php?class_id=".$data_arr['class_id']."'>";
					//$show_txt.=mb_convert_encoding($data_arr['class_nam'],'EUC-JP', 'UTF-8')."</a>";
//					$show_txt .= mb_convert_encoding($data_arr['class_nam'],'EUC-JP', 'UTF-8');
					$show_txt .= htmlspecialchars($data_arr['class_nam'],ENT_QUOTES);

					$status_flag = 1;
				} else {
//					$show_txt.=mb_convert_encoding($data_arr['class_nam'],'EUC-JP', 'UTF-8');
					$show_txt.=htmlspecialchars($data_arr['class_nam'],ENT_QUOTES);
				}
				$show_txt .= "</td>";

				$show_txt .= "<td>";
//				$show_txt .= mb_convert_encoding($data_arr['teacher_nam'],'EUC-JP', 'UTF-8');
				$show_txt .= htmlspecialchars($data_arr['teacher_nam'],ENT_QUOTES);
				$show_txt .= "</td>";

				$show_txt.="<td>".$grade_arr[$data_arr['grade']]."</td>";
				if ($data_arr['status'] == 0) {
					$status_txt = _EXAM_TEA_CLASS_NOW_ENDED;
				} else if ($data_arr['status'] == 1){
					//ξƥϿ
					if ($status_flag == 0) {
						$status_txt = _EXAM_TEA_CLASS_NOW_OPENING;
					} else {
						if ($cl_status_arr[$data_arr['class_id']] == 1) {
							$status_txt = "<a href='../test_info/test_list.php?class_id=".$data_arr['class_id'];
							$status_txt .= "&class_student_id=".$cl_stid_arr[$data_arr['class_id']]."'>";
							$status_txt .= _EXAM_STU_CLASS_NOW_ATTEND."</a>";
						} else {
							$status_txt = _EXAM_STU_CLASS_NOW_NOTALLOW;
						}		
					}
				} else if ($data_arr['status'] == 2) {
//饹οߤ򤹤
					if ($status_flag == 0) {
						$status_txt = "<a href='application_class.php?class_id=".$data_arr['class_id']."'>";
						$status_txt .= _EXAM_TEA_CLASS_NOW_PREPARING."</a>";
					} else {
						$status_txt = _EXAM_STU_CLASS_NOW_NOTAPPLY;
					}
				}
				$show_txt .= "<td>".$status_txt."</td></tr>\n";
				$i++;
			}
		}
	}
	$data_object->closeDB();
}
/*
$show_data = file_get_contents('../../templates/usr_class/class_list.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':NAV_REP:', mb_convert_encoding($navi,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TBL_DATA:', mb_convert_encoding($show_txt,'UTF-8', 'EUC-JP'), $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'usr_class/class_list.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':NAV_REP:', $navi, $show_data);
$show_data = str_replace(':TBL_DATA:', $show_txt, $show_data);

echo $show_data;
?>